"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getOption = getOption;
exports.registerOptions = registerOptions;
var DEFAULT_HIGHLIGHT_STYLE = "https://cdnjs.cloudflare.com/ajax/libs/highlight.js/11.5.1/styles/default.min.css";
var DEFAULT_CODE_THEME = 'default';
var DEFAULT_LANGS = [{
  value: 'javascript',
  mode: 'javascript',
  label: 'Javascript'
}, {
  value: 'html',
  mode: 'xml',
  label: 'HTML'
}, {
  value: 'java',
  mode: 'clike',
  label: 'Java'
}];
var DEFAULT_OPTIONS = {
  highlightStyle: DEFAULT_HIGHLIGHT_STYLE,
  codeTheme: DEFAULT_CODE_THEME,
  langs: DEFAULT_LANGS
};
var options = null;

function registerOptions(editor) {
  editor.options.register('codeblock', {
    processor: 'object',
    "default": {
      highlightStyle: DEFAULT_HIGHLIGHT_STYLE,
      codeTheme: DEFAULT_CODE_THEME,
      langs: DEFAULT_LANGS
    }
  });
}

function getOption(editor, key) {
  if (!options) {
    options = editor.options.get('codeblock');
  }

  return options[key] || DEFAULT_OPTIONS[key];
}